## ros-galactic-action-tutorials-interfaces 0.14.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(action_tutorials_interfaces)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/Fibonacci.action")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-action-tutorials-interfaces (0.14.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.14.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.12.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.10.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.10.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.9.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.9.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.9.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.9.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.8.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.8.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.8.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.8.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.8.0-1focal) focal; urgency=high

  * Move action tutorial interface to a new package, action_tutorials_interfaces (#378 <https://github.com/ros2/demos/issues/378>)
  * Contributors: Siddharth Kucheria

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 10 May 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.7.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.6.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.6.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.6.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.5.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-galactic-action-tutorials-interfaces (0.4.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-galactic-action-tutorials-interfaces
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-action-msgs, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rosidl-default-generators, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-action-tutorials-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-action-msgs, ros-galactic-rosidl-default-runtime, ros-galactic-ros-workspace
Description: Action tutorials action

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-action-tutorials-interfaces//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
